<mat-form-field appearance="fill" style="width: 100%;">
    <mat-label>Search to-dos...</mat-label>
    <input matInput (keyup)="applyFilter($event)" placeholder="Tarea 3" #input>
</mat-form-field>
<div class="table-responsive">
    <table mat-table [dataSource]="dataSource" class="mat-elevation-z8 mb-3">
        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef> # </th>
            <td mat-cell *matCellDef="let element"> {{element.id}} </td>
        </ng-container>

        <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef> Name </th>
            <td mat-cell *matCellDef="let element"> {{element.name}} </td>
        </ng-container>

        <ng-container matColumnDef="status">
            <th mat-header-cell *matHeaderCellDef> Status </th>
            <td mat-cell *matCellDef="let element">
                <ng-container *ngIf="element.done">
                    <mat-icon style="color: green">done</mat-icon>
                </ng-container>
                <ng-container *ngIf="!element.done">
                    <mat-icon style="color: red">close</mat-icon>
                </ng-container>
            </td>
        </ng-container>

        <ng-container matColumnDef="actions">
            <th mat-header-cell *matHeaderCellDef> Actions </th>
            <td mat-cell *matCellDef="let element">
                <div class="buttons">
                    <button mat-raised-button color="primary" [disabled]="element.done"
                        (click)="checking(element.id)">Check</button>
                    <button mat-raised-button color="accent" class="ms-1" [routerLink]="'/to-do/details/' + element.id">
                        <mat-icon inline=true>description</mat-icon>
                        Details
                    </button>
                    <button mat-raised-button color="warn" class="ms-1" (click)="deleting(element.id)">Delete</button>
                </div>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

        <tr class="mat-row" *matNoDataRow>
            <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
        </tr>
    </table>
</div>